List control rooms
GET/v2/control-rooms
GET
/v2/control-rooms
const url = 'https://api.ligr.live/rest/v2/control-rooms';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.ligr.live/rest/v2/control-rooms \ --header 'Authorization: Bearer <token>'Returns rooms owned by your organization. Use themeId to filter rooms for one theme your organization can use: a theme it owns, a theme LIGR linked to it, or a public theme.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”themeId
Entity identifier
integer format: int32
Responses
Section titled “Responses”Ok
Media typeapplication/json
Array<object>
object
id
required
Entity identifier
integer format: int32
themeId
required
Entity identifier
integer format: int32
name
required
string
sections
required
Array<object>
object
id
required
string
name
required
string
colorKey
string
Examplegenerated
[ { "id": 1, "themeId": 1, "name": "example", "sections": [ { "id": "example", "name": "example", "colorKey": "example" } ] }]Request is invalid
Media typeapplication/json
object
message
required
string
details
required
object
key
additional properties
Examplegenerated
{ "message": "example", "details": { "additionalProperty": "example" }}Missing or invalid api key
Media typeapplication/json
object
message
required
string
Examplegenerated
{ "message": "example"}Api key provides insufficient access for the request
Media typeapplication/json
object
message
required
string
Examplegenerated
{ "message": "example"}Theme, control room, section, or graphic not found
Media typeapplication/json
object
message
required
string
Examplegenerated
{ "message": "example"}Organization has made too many requests
Media typeapplication/json
object
message
required
string
Examplegenerated
{ "message": "example"}An unexpected error has occured. If problems persist please contact support
Media typeapplication/json
object
message
required
string
Examplegenerated
{ "message": "example"}